#!/bin/bash

base="$(cd "$(dirname "${BASH_SOURCE[0]}" )" && pwd)"

if [[ -z "$(which npm)" ]]; then
	echo "Missing npm. Please install first from https://nodejs.org/en/."
	exit 1
fi

o="${base}/install.log"

function exit_error() {
	_message=$1

	echo "${message}"
	echo "See details in ${o}"
}

printf  "\nInstalling DoneJS ... "
npm install donejs -g >> "${o}" 2>&1
rc=$?

if [[ ${rc} -eq 0 ]]; then
	printf "Done.\n"
else
	exit_error "Failed to install DoneJS."
	exit 2
fi

printf "Installing DocumentJS ... "
npm install documentjs -g >> "${o}" 2>&1
rc=$?

if [[ ${rc} -eq 0 ]]; then
        printf "Done.\n"
else
        exit_error "Failed to install DocumentJS."  
	exit 2
fi

printf "Installing Project Dependencies ... "
cd vintage-shop
npm install >> "${o}" 2>&1
rc=$?

if [[ ${rc} -eq 0 ]]; then
        printf "Done.\n"
else
        exit_error "Failed to install Project Dependencies."
	exit 2
fi

echo ""
echo "Project setup is complete."
echo ""
echo "Run the following to get started."
printf "\n\t 1) cd vintage-shop\n"
printf "\t 2) sudo donejs develop\n"
printf "\t 3) In a new tab enter: sudo documentjs\n\n\n"
